﻿using System.Windows;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Diagrams;

namespace DiagramsSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void OnLaunch(object sender, RoutedEventArgs e)
        {
            var newShape = new RadDiagramShape() 
            { 
                UseDefaultConnectors = false,
                Name = "shape1",
                Width = 80,
                Height = 80,
                Content = "NewShape",
                FontWeight = FontWeights.Bold,
                Position = new Point(100, 100)
            };

            newShape.Connectors.Add(new RadDiagramConnector() { Name = "Left", Offset = new Point(0, 0.5) });

            diagram.AddShape(newShape);

            var newShape2 = new RadDiagramShape()
            {
                UseDefaultConnectors = false,
                Name = "shape2",
                Width = 80,
                Height = 80,
                Content = "NewShape22222",
                FontWeight = FontWeights.Bold,
                Position = new Point(300, 100)
            };

            newShape2.Connectors.Add(new RadDiagramConnector() { Name = "Left", Offset = new Point(0, 0.5) });

            diagram.AddShape(newShape2);

            var connection = new RadDiagramConnection()
            {
                Source = newShape,
                Target = newShape2
            };

            diagram.Items.Add(connection);
        }
    }
}
